%define upstream_name    Number-Format
%define upstream_version 1.76

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Convert numbers to strings with pretty formatting
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Number::Format is a library for formatting numbers.  Functions are
provided for converting numbers to strings in a variety of ways, and to
convert strings that contain numbers back into numeric form.  The output
formats may include thousands separators - characters inserted between
each group of three characters counting right to left from the decimal
point.  The characters used for the decimal point and the thousands
separator come from the locale information or can be specified by the
user.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 CHANGES README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%{__make} test

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Number
%{_mandir}/*/*

%changelog
* Tue Aug 29 2023 tv <tv> 1.760.0-1.mga10
+ Revision: 1981003
- update to 1.76

* Sun Mar 20 2022 umeabot <umeabot> 1.750.0-6.mga9
+ Revision: 1805008
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.750.0-5.mga8
+ Revision: 1496105
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.750.0-4.mga7
+ Revision: 1270204
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.750.0-3.mga6
+ Revision: 1031349
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.750.0-2.mga6
+ Revision: 968205
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.750.0-1.mga6
+ Revision: 851527
- update to 1.75

* Sun Oct 19 2014 umeabot <umeabot> 1.730.0-6.mga5
+ Revision: 789883
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.730.0-5.mga5
+ Revision: 749855
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.730.0-4.mga5
+ Revision: 685758
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.730.0-3.mga4
+ Revision: 513634
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.730.0-2.mga3
+ Revision: 370995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.730.0-1.mga1
+ Revision: 26775
- mageia rebuild
- imported package perl-Number-Format

